Page MenuHomePhabricator

Replace SMW data on project instances with a tool using the OpenStack APIs
Closed, ResolvedPublic

Description

A collection of hooks are used to create, update, and delete pages on wikitech.wikimedia.org for each VM instance that is created in our OpenStack cluster. The data about each instance is stored in SMW and a subset of the data is displayed on the project's page in the Nova Resource namespace. This all adds up to a lot of work being done on the off chance that someone wants to know what instances are running in project X or to see a few pieces of information on a particular instance.

We now have the novaobserver read-only credentials that can be used to browse projects, users, and instances directly from the OpenStack APIs. This opens the door for creating a tool that can browse the tree and show the latest data on demand rather than pre-generating a lot of data in wikitech that may or may not ever be read. This tool should support deep linking so that the Nova Resource page for a given project can link to the tool to allow seeing the instances in the project.

Event Timeline

bd808 created this task.Mar 28 2017, 11:15 PM
Restricted Application added a project: User-bd808. · View Herald TranscriptMar 28 2017, 11:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

https://tools.wmflabs.org/openstack-browser/ is the replacement tool that allows browsing the list of projects and showing their details including membership and instances.

Change 345270 merged by jenkins-bot:
[mediawiki/extensions/OpenStackManager@master] Remove project page edits for membership changes

https://gerrit.wikimedia.org/r/345270

Change 345271 merged by jenkins-bot:
[mediawiki/extensions/OpenStackManager@master] Stop creating/updating instance pages

https://gerrit.wikimedia.org/r/345271

Change 345275 had a related patch set uploaded (by BryanDavis; owner: Andrew Bogott):
[operations/puppet@production] Nova: Remove wikistatus callbacks and support code.

https://gerrit.wikimedia.org/r/345275

Change 345275 merged by Andrew Bogott:
[operations/puppet@production] Nova: Remove wikistatus callbacks and support code.

https://gerrit.wikimedia.org/r/345275

bd808 moved this task from Triage to In Progress on the Cloud-Services board.Mar 29 2017, 4:00 PM
bd808 closed this task as Resolved.Apr 10 2017, 9:38 PM